Name:		eel
Summary:	Eazel Extensions Library
Version: 	1.0.2
Release: 	1
Copyright: 	GPL
Group:		System Environment/Libraries
Source: 	%{name}-%{version}.tar.gz
URL: 		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	gnome-vfs >= 1.0
Requires:	librsvg >= 1.0.0
BuildRequires:	gnome-vfs-devel >= 1.0
BuildRequires:	librsvg-devel >= 1.0.0

%description
Eazel Extensions Library

%package devel
Summary:	Libraries and include files for developing with Eel.
Group:		Development/Libraries
Requires:	%name = %{version}
Requires:	gnome-vfs-devel >= 1.0
Requires:	librsvg-devel >= 1.0.0

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with Eel.

%prep
%setup -q

%build
%ifarch alpha
	MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

LC_ALL=""
LINGUAS=""
LANG=""
export LC_ALL LINGUAS LANG

## Warning!  Make sure there are no spaces or tabs after the \ 
## continuation character, or else the rpm demons will eat you.

CFLAGS="$RPM_OPT_FLAGS" ./configure $MYARCH_FLAGS --prefix=%{_prefix} \
    --sysconfdir=%{_sysconfdir} --libdir=%{_libdir} \
    --bindir=%{_bindir} --includedir=%{_includedir} \
    --datadir=%{_datadir} 

make
make check

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/%{_prefix} \
    sysconfdir=$RPM_BUILD_ROOT/%{_sysconfdir} \
    libdir=$RPM_BUILD_ROOT/%{_libdir} \
    bindir=$RPM_BUILD_ROOT/%{_bindir} \
    includedir=$RPM_BUILD_ROOT/%{_includedir} \
    datadir=$RPM_BUILD_ROOT/%{_datadir} install 

%find_lang %name

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_libdir}/*.so.*
%{_datadir}/eel/

%files devel
%defattr(-, root, root)
%{_libdir}/*a
%{_libdir}/*.sh
%{_libdir}/*.so
%{_bindir}/*
%{_includedir}/eel-1/


%changelog
* Wed Oct 31 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- removed unnecessary %defines
- made %setup quiet
- general cleanups
- fixed ownerships
- fixed dependancies

* Wed Apr 04 2000 Ramiro Estrugo <ramiro@eazel.com>
- created this thing
